Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.grammars
Interface XMLGrammarPool

public interface XMLGrammarPool

Method Summary
`void` | `cacheGrammars(java.lang.String grammarType, Grammar[] grammars)`
`void` | `clear()`
`void` | `lockPool()`
`Grammar` | `retrieveGrammar(XMLGrammarDescription desc)`
`Grammar[]` | `retrieveInitialGrammarSet(java.lang.String grammarType)`
`void` | `unlockPool()`

Method Detail

### retrieveInitialGrammarSet

    public Grammar[] retrieveInitialGrammarSet(java.lang.String grammarType)

### cacheGrammars

    public void cacheGrammars(java.lang.String grammarType,
                              Grammar[] grammars)

### retrieveGrammar

    public Grammar retrieveGrammar(XMLGrammarDescription desc)

### lockPool

    public void lockPool()

### unlockPool

    public void unlockPool()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.